<template lang="pug">
tr(v-if='!loading && params && daqi').x-daq-config-channel.text-center
  td {{ `m${daqi.crate}:${daqi.module}:${daqi.channel}`}}
  td {{ params.detectorType }}
  td {{ params.detectorId }}
  td {{ params.moduleType }}
  td {{ params.cardSerialNumber }}
  td {{ params.sampleRate }}
  td {{ params.sampleSize }}
  td {{ timeWindow | b-bigNumber }}
  td {{ params.delayTime | b-bigNumber }}
  td {{ params.fullScale }}
  td {{ params.offset }}
  td {{ lowerLimit }}
  td {{ params.impedance }}

  td {{ getZspType() }}
  td {{ (params.thresholdSign &gt; 0) ? "+" : "-" }}
  td {{ getMasterGroup() }}
  td {{ params.threshold }}
  td {{ params['Zero suppression start'] }}
  td {{ params.preSample }} / {{ params.postSample }}

tr(v-else)
  td.text-center(colspan="21")
    i.fa.fa-spinner.fa-pulse
</template>
<script>

export { default } from './DAQConfigChannel.vue.js';

</script>
<style>
tr.x-daq-config-channel td {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}
</style>
